Sign in to follow this  
NathanKell

Official Mod Compatibility Thread for .25

Recommended Posts

BD Armory 0.5.2 works fine in .25, but no building booms with bombs/missiles.

Share this post


Link to post
Share on other sites

Thanks for the reports, all.

However, please follow the guidelines in the OP. I even bolded and colored them. :(

Share this post


Link to post
Share on other sites
Please note that without Active Texture Manager, it becomes necessary to launch the game using OpenGL, which tanks the AA.

Generally using OpenGL, it's best to set your Anti-Aliasing using the overrides your graphics card control panel.

Share this post


Link to post
Share on other sites

Perhaps if the mods could be listed in alphabetical order on the main list that would helpful. Thanks!

Share this post


Link to post
Share on other sites

Right now they are listed in order of update, so recent stuff is at the bottom (which makes it easier to see what has changed).

Share this post


Link to post
Share on other sites

Version 8 of SCANsat is released; link to this post for the GitHub link and changelog.

Share this post


Link to post
Share on other sites
Infernal Robotics 0.19.2 has been updated for 0.25 (NOTE: users must also take updated KSPAPIExtensions provided in the IR install and replace the dll that is located in TweakScale until Biotronic replaces it.

Share this post


Link to post
Share on other sites
Right now they are listed in order of update, so recent stuff is at the bottom (which makes it easier to see what has changed).

Great idea, but I would suggest limiting this list to plugins or part packs with plugins. The Community Library thread is a more comprehensive thread but this one is a good reference for the update. Case in point, Surface Lights (one that I use and don't want to go without) is just parts, it really can't be all that incompatible (at least not in THIS version). Anyway, that's my suggestion.

EDIT: Or at the very least give part-only packs their own category.

Edited by Alshain

Share this post


Link to post
Share on other sites

KWR and NP2 are "just parts" and due to the rescaleFactor issue being fixed, now have off-scale parts (which also means offscale collision meshes, which means problems). Thus far they (and SurfaceLights) have been the only pure part packs mentioned, but I'll keep an eye out.

Oh, and SXT is a pure part pack, but (was) also broken due to path name changes.

Also: thanks all!

Share this post


Link to post
Share on other sites
KWR and NP2 are "just parts" and due to the rescaleFactor issue being fixed, now have off-scale parts (which also means offscale collision meshes, which means problems). Thus far they (and SurfaceLights) have been the only pure part packs mentioned, but I'll keep an eye out.

Oh. I did not know that. Good info. In that case I just rebuilt my favorite plane with Radial Engine Mounts v0.3, no issues at all

Share this post


Link to post
Share on other sites
Infernal Robotics 0.19.2 has been updated for 0.25 (NOTE: users must also take updated KSPAPIExtensions provided in the IR install and replace the dll that is located in TweakScale until Biotronic replaces it.

I goofed, it would appear that TweakScale may not work with the updated dll due to compatibility checker. :(

Share this post


Link to post
Share on other sites

I have a version of TS working, but I'd rather not chuck it out the door since biotronic has been active even today on the forums.

Share this post


Link to post
Share on other sites

If I try to use Astronomer's Visual Pack - Edge of Oblivion (7-4), and by extension Environmental Visual Enhancements (7-4), the game crashes after the loading screen and before the Main Menu.

I am not certain how to see the cause of the crash. Just says it crashes. Even with Active Texture Management installed.

Share this post


Link to post
Share on other sites

Most things function, but the tech tree does not. 0.25 seems to have finally broken TreeLoader beyond repair. The old method of "install TreeLoader, ignore the broken Internet tree repository and manually drop the tree.cfg into your savegame" no longer works. This breaks quite a bit of the functionality, as certain parts and part upgrades require certain advanced tech nodes, which are no longer available without TreeLoader.

Edited by ArcFurnace

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
Sign in to follow this